Extending Qt Creator Manual | DetailedErrorView

Extending Qt Creator Manual 4.5.2

# DetailedErrorView Class

(Debugger::DetailedErrorView)

- List of all members, including inherited members

## Public Types

enum | Column { DiagnosticColumn, LocationColumn }
enum | ItemRole { LocationRole, FullTextRole }

## Public Functions

| DetailedErrorView(QWidget *parent = 0)
| ~DetailedErrorView()
void | goBack()
void | goNext()

## Member Type Documentation

### enum DetailedErrorView::Column

### enum DetailedErrorView::ItemRole

## Member Function Documentation

### DetailedErrorView::DetailedErrorView(QWidget *parent = 0)

Default constructs an instance of DetailedErrorView.

### DetailedErrorView::~DetailedErrorView()

Destroys the instance of DetailedErrorView.

### void DetailedErrorView::goBack()

### void DetailedErrorView::goNext()